package kr.co.kihyun.text.hml;

import java.util.*;
import kr.co.kihyun.moumi.MoumiConfig;

public class Hwp {

        //50.public static을 통한 선언 오류(CWE-500) Update by YOUNGJUN,CHO
	//public static String contents = "";
	//public static String fileName = "";
        private String contents = "";
	private String fileName = "";
        //================================================
        
	public void inputStreamHWP(String input) {

		StringBuffer str = new StringBuffer();
		StringTokenizer st = new StringTokenizer(input);
		while (st.hasMoreTokens()) {
			str.append(st.nextToken(">").trim());
			str.append(">");
		}

		this.contents = str.toString();
	}

	public void setFileName(String fileName) {
		this.fileName = fileName;
	}

	//public static String getFileName() {
        public String getFileName() {
		return fileName;
	}

	//public static String getContent() {
        public String getContent() {
		return contents;
	}

	public static String getPreHML() {
		StringBuffer preStrbuf = new StringBuffer();

		preStrbuf.append("<!DOCTYPE HWPML SYSTEM []>");
		preStrbuf.append("<HWPML VER=\"HWPML1.1\" CODE=KS>");
		preStrbuf.append("<HEAD>");
		preStrbuf.append("<INFORMATION>");
		preStrbuf.append("<PAPERMARGIN TOP=992 BOTTOM=992 LEFT=0 RIGHT=0 HEADER=992 FOOTER=992>");
		preStrbuf.append("<MISCINFO>");
		preStrbuf.append("<BACKGROUND>");
		preStrbuf.append("</MISCINFO>");
		preStrbuf.append("<SUMMATION>");
		preStrbuf.append("<TITLE>[ 통합서식 ] </TITLE>");
		preStrbuf.append("<SUBJECT></SUBJECT>");
		preStrbuf.append("<AUTHOR></AUTHOR>");
		preStrbuf.append("<DAY></DAY>");
		preStrbuf.append("</SUMMATION>");
		preStrbuf.append("<FONTLIST>");
		preStrbuf.append("<KORFONT N=10>");
		preStrbuf.append("<FONT ID=0>명조</FONT>");
		preStrbuf.append("<FONT ID=1>펜흘림</FONT>");
		preStrbuf.append("<FONT ID=2>태 헤드라인T</FONT>");
		preStrbuf.append("<FONT ID=3>휴먼명조</FONT>");
		preStrbuf.append("<FONT ID=4>한컴바탕</FONT>");
		preStrbuf.append("<FONT ID=5>한양신명조</FONT>");
		preStrbuf.append("<FONT ID=6>한양견고딕</FONT>");
		preStrbuf.append("<FONT ID=7>한양중고딕</FONT>");
		preStrbuf.append("<FONT ID=8>한양그래픽</FONT>");
		preStrbuf.append("<FONT ID=9>한양견명조</FONT>");
		preStrbuf.append("</KORFONT>");
		preStrbuf.append("<ENGFONT N=10>");
		preStrbuf.append("<FONT ID=0>산세리프</FONT>");
		preStrbuf.append("<FONT ID=1>펜흘림</FONT>");
		preStrbuf.append("<FONT ID=2>HCI Poppy</FONT>");
		preStrbuf.append("<FONT ID=3>#헤드라인A</FONT>");
		preStrbuf.append("<FONT ID=4>한컴바탕</FONT>");
		preStrbuf.append("<FONT ID=5>한양신명조</FONT>");
		preStrbuf.append("<FONT ID=6>한양견고딕</FONT>");
		preStrbuf.append("<FONT ID=7>한양중고딕</FONT>");
		preStrbuf.append("<FONT ID=8>한양그래픽</FONT>");
		preStrbuf.append("<FONT ID=9>한양견명조</FONT>");
		preStrbuf.append("</ENGFONT>");
		preStrbuf.append("<HANJAFONT N=6>");
		preStrbuf.append("<FONT ID=0>명조</FONT>");
		preStrbuf.append("<FONT ID=1>신명 견명조</FONT>");
		preStrbuf.append("<FONT ID=2>신명 견고딕</FONT>");
		preStrbuf.append("<FONT ID=3>한컴바탕</FONT>");
		preStrbuf.append("<FONT ID=4>한양신명조</FONT>");
		preStrbuf.append("<FONT ID=5>한양중고딕</FONT>");
		preStrbuf.append("</HANJAFONT>");
		preStrbuf.append("<JAPANFONT N=6>");
		preStrbuf.append("<FONT ID=0>명조</FONT>");
		preStrbuf.append("<FONT ID=1>신명 견명조</FONT>");
		preStrbuf.append("<FONT ID=2>#태고딕</FONT>");
		preStrbuf.append("<FONT ID=3>한컴바탕</FONT>");
		preStrbuf.append("<FONT ID=4>한양신명조</FONT>");
		preStrbuf.append("<FONT ID=5>한양중고딕</FONT>");
		preStrbuf.append("</JAPANFONT>");
		preStrbuf.append("<ETCFONT N=3>");
		preStrbuf.append("<FONT ID=0>명조</FONT>");
		preStrbuf.append("<FONT ID=1>한컴바탕</FONT>");
		preStrbuf.append("<FONT ID=2>한양신명조</FONT>");
		preStrbuf.append("</ETCFONT>");
		preStrbuf.append("<SPECIALFONT N=7>");
		preStrbuf.append("<FONT ID=0>명조</FONT>");
		preStrbuf.append("<FONT ID=1>신명 견명조</FONT>");
		preStrbuf.append("<FONT ID=2>신명 견고딕</FONT>");
		preStrbuf.append("<FONT ID=3>#견고딕</FONT>");
		preStrbuf.append("<FONT ID=4>한컴바탕</FONT>");
		preStrbuf.append("<FONT ID=5>한양신명조</FONT>");
		preStrbuf.append("<FONT ID=6>한양중고딕</FONT>");
		preStrbuf.append("</SPECIALFONT>");
		preStrbuf.append("<USERFONT N=2>");
		preStrbuf.append("<FONT ID=0>명조</FONT>");
		preStrbuf.append("<FONT ID=1>한컴바탕</FONT>");
		preStrbuf.append("</USERFONT>");
		preStrbuf.append("</FONTLIST>");
		preStrbuf.append("<STYLELIST>");
		preStrbuf.append("<STYLE ID=0 NAME=\"바탕글\">");
		preStrbuf.append("<CSTYLE>");
		preStrbuf.append("<FONTID KOR=5 ENG=5 HANJA=4 JAPAN=4 ETC=2>");
		preStrbuf.append("</CSTYLE>");
		preStrbuf.append("<PSTYLE>");
		preStrbuf.append("</STYLE>");
		preStrbuf.append("<STYLE ID=1 NAME=\"본문\">");
		preStrbuf.append("<CSTYLE RATIO=95 SPACE=251>");
		preStrbuf.append("<FONTID KOR=5 ENG=5 HANJA=4 JAPAN=4 ETC=2>");
		preStrbuf.append("</CSTYLE>");
		preStrbuf.append("<PSTYLE LMARGIN=438 RMARGIN=438 LSPACE=165 PSPACE=106>");
		preStrbuf.append("</STYLE>");
		preStrbuf.append("<STYLE ID=2 NAME=\"개요 1\">");
		preStrbuf.append("<CSTYLE>");
		preStrbuf.append("<FONTID KOR=5 ENG=5 HANJA=4 JAPAN=4 ETC=2>");
		preStrbuf.append("</CSTYLE>");
		preStrbuf.append("<PSTYLE LMARGIN=186 INDENT=4294967110>");
		preStrbuf.append("</STYLE>");
		preStrbuf.append("<STYLE ID=3 NAME=\"개요 2\">");
		preStrbuf.append("<CSTYLE>");
		preStrbuf.append("<FONTID KOR=5 ENG=5 HANJA=4 JAPAN=4 ETC=2>");
		preStrbuf.append("</CSTYLE>");
		preStrbuf.append("<PSTYLE LMARGIN=436 INDENT=4294967110>");
		preStrbuf.append("</STYLE>");
		preStrbuf.append("<STYLE ID=4 NAME=\"개요 3\">");
		preStrbuf.append("<CSTYLE>");
		preStrbuf.append("<FONTID KOR=5 ENG=5 HANJA=4 JAPAN=4 ETC=2>");
		preStrbuf.append("</CSTYLE>");
		preStrbuf.append("<PSTYLE LMARGIN=686 INDENT=4294967110>");
		preStrbuf.append("</STYLE>");
		preStrbuf.append("<STYLE ID=5 NAME=\"개요 4\">");
		preStrbuf.append("<CSTYLE>");
		preStrbuf.append("<FONTID KOR=5 ENG=5 HANJA=4 JAPAN=4 ETC=2>");
		preStrbuf.append("</CSTYLE>");
		preStrbuf.append("<PSTYLE LMARGIN=936 INDENT=4294967110>");
		preStrbuf.append("</STYLE>");
		preStrbuf.append("<STYLE ID=6 NAME=\"개요 5\">");
		preStrbuf.append("<CSTYLE>");
		preStrbuf.append("<FONTID KOR=5 ENG=5 HANJA=4 JAPAN=4 ETC=2>");
		preStrbuf.append("</CSTYLE>");
		preStrbuf.append("<PSTYLE LMARGIN=1186 INDENT=4294967110>");
		preStrbuf.append("</STYLE>");
		preStrbuf.append("<STYLE ID=7 NAME=\"개요 6\">");
		preStrbuf.append("<CSTYLE>");
		preStrbuf.append("<FONTID KOR=5 ENG=5 HANJA=4 JAPAN=4 ETC=2>");
		preStrbuf.append("</CSTYLE>");
		preStrbuf.append("<PSTYLE LMARGIN=1436 INDENT=4294967110>");
		preStrbuf.append("</STYLE>");
		preStrbuf.append("<STYLE ID=8 NAME=\"개요 7\">");
		preStrbuf.append("<CSTYLE>");
		preStrbuf.append("<FONTID KOR=5 ENG=5 HANJA=4 JAPAN=4 ETC=2>");
		preStrbuf.append("</CSTYLE>");
		preStrbuf.append("<PSTYLE LMARGIN=1686 INDENT=4294967110>");
		preStrbuf.append("</STYLE>");
		preStrbuf.append("<STYLE ID=9 NAME=\"쪽 번호\">");
		preStrbuf.append("<CSTYLE>");
		preStrbuf.append("<FONTID KOR=6 ENG=6 HANJA=5 JAPAN=5 ETC=2>");
		preStrbuf.append("</CSTYLE>");
		preStrbuf.append("<PSTYLE>");
		preStrbuf.append("</STYLE>");
		preStrbuf.append("<STYLE ID=10 NAME=\"머리말\">");
		preStrbuf.append("<CSTYLE SIZE=225>");
		preStrbuf.append("<FONTID KOR=7 ENG=7 HANJA=5 JAPAN=5 ETC=2>");
		preStrbuf.append("</CSTYLE>");
		preStrbuf.append("<PSTYLE RMARGIN=250 LSPACE=150 ALIGN=RIGHT>");
		preStrbuf.append("</STYLE>");
		preStrbuf.append("<STYLE ID=11 NAME=\"각주\">");
		preStrbuf.append("<CSTYLE SIZE=237>");
		preStrbuf.append("<FONTID KOR=5 ENG=5 HANJA=4 JAPAN=4 ETC=2>");
		preStrbuf.append("</CSTYLE>");
		preStrbuf.append("<PSTYLE LMARGIN=330 INDENT=4294966966 LSPACE=130>");
		preStrbuf.append("</STYLE>");
		preStrbuf.append("<STYLE ID=12 NAME=\"그림캡션\">");
		preStrbuf.append("<CSTYLE SIZE=225>");
		preStrbuf.append("<FONTID KOR=7 ENG=7 HANJA=5 JAPAN=5 ETC=2>");
		preStrbuf.append("</CSTYLE>");
		preStrbuf.append("<PSTYLE>");
		preStrbuf.append("</STYLE>");
		preStrbuf.append("<STYLE ID=13 NAME=\"표캡션\">");
		preStrbuf.append("<CSTYLE SIZE=225>");
		preStrbuf.append("<FONTID KOR=7 ENG=7 HANJA=5 JAPAN=5 ETC=2>");
		preStrbuf.append("</CSTYLE>");
		preStrbuf.append("<PSTYLE>");
		preStrbuf.append("</STYLE>");
		preStrbuf.append("<STYLE ID=14 NAME=\"수식캡션\">");
		preStrbuf.append("<CSTYLE SIZE=225>");
		preStrbuf.append("<FONTID KOR=7 ENG=7 HANJA=5 JAPAN=5 ETC=2>");
		preStrbuf.append("</CSTYLE>");
		preStrbuf.append("<PSTYLE>");
		preStrbuf.append("</STYLE>");
		preStrbuf.append("<STYLE ID=15 NAME=\"찾아보기\">");
		preStrbuf.append("<CSTYLE SIZE=225>");
		preStrbuf.append("<FONTID KOR=5 ENG=5 HANJA=4 JAPAN=4 ETC=2>");
		preStrbuf.append("</CSTYLE>");
		preStrbuf.append("<PSTYLE>");
		preStrbuf.append("</STYLE>");
		preStrbuf.append("<STYLE ID=16 NAME=\"선그리기\">");
		preStrbuf.append("<CSTYLE>");
		preStrbuf.append("<FONTID KOR=5 HANJA=4 JAPAN=4 ETC=2>");
		preStrbuf.append("</CSTYLE>");
		preStrbuf.append("<PSTYLE>");
		preStrbuf.append("</STYLE>");
		preStrbuf.append("<STYLE ID=17 NAME=\"장\">");
		preStrbuf.append("<CSTYLE SIZE=525 ATTR=\"B\" RATIO=90 SPACE=251>");
		preStrbuf.append("<FONTID KOR=8 ENG=8 HANJA=5 JAPAN=5 ETC=2>");
		preStrbuf.append("</CSTYLE>");
		preStrbuf.append("<PSTYLE LMARGIN=125 LSPACE=150 PSPACE=283 ALIGN=LEFT>");
		preStrbuf.append("</STYLE>");
		preStrbuf.append("<STYLE ID=18 NAME=\"대시\">");
		preStrbuf.append("<CSTYLE SIZE=400>");
		preStrbuf.append("<FONTID KOR=3 ENG=2 HANJA=4 JAPAN=4 ETC=2>");
		preStrbuf.append("</CSTYLE>");
		preStrbuf.append("<PSTYLE LMARGIN=1000 INDENT=4294966921 LSPACE=170>");
		preStrbuf.append("</STYLE>");
		preStrbuf.append("<STYLE ID=19 NAME=\"동글\">");
		preStrbuf.append("<CSTYLE SIZE=400>");
		preStrbuf.append("<FONTID KOR=3 ENG=2 HANJA=4 JAPAN=4 ETC=2>");
		preStrbuf.append("</CSTYLE>");
		preStrbuf.append("<PSTYLE LMARGIN=875 INDENT=4294966671 LSPACE=170>");
		preStrbuf.append("</STYLE>");
		preStrbuf.append("<STYLE ID=20 NAME=\"큰제목(견고딕30)\">");
		preStrbuf.append("<CSTYLE SIZE=750>");
		preStrbuf.append("<FONTID KOR=6 ENG=6 HANJA=5 JAPAN=5 ETC=2>");
		preStrbuf.append("</CSTYLE>");
		preStrbuf.append("<PSTYLE ALIGN=CENTER>");
		preStrbuf.append("</STYLE>");
		preStrbuf.append("<STYLE ID=21 NAME=\"□\">");
		preStrbuf.append("<CSTYLE SIZE=425 ATTR=\"B\">");
		preStrbuf.append("<FONTID KOR=5 ENG=5 HANJA=4 JAPAN=4 ETC=2>");
		preStrbuf.append("</CSTYLE>");
		preStrbuf.append("<PSTYLE LMARGIN=250 LSPACE=170>");
		preStrbuf.append("</STYLE>");
		preStrbuf.append("<STYLE ID=22 NAME=\"○\">");
		preStrbuf.append("<CSTYLE SIZE=400>");
		preStrbuf.append("<FONTID KOR=5 ENG=5 HANJA=4 JAPAN=4 ETC=2>");
		preStrbuf.append("</CSTYLE>");
		preStrbuf.append("<PSTYLE LMARGIN=500 LSPACE=170>");
		preStrbuf.append("</STYLE>");
		preStrbuf.append("<STYLE ID=23 NAME=\"아\">");
		preStrbuf.append("<CSTYLE SIZE=450 ATTR=\"B\" RATIO=80>");
		preStrbuf.append("<FONTID KOR=5 ENG=5 HANJA=4 JAPAN=4 ETC=2>");
		preStrbuf.append("</CSTYLE>");
		preStrbuf.append("<PSTYLE LMARGIN=500 INDENT=4294966796 LSPACE=180>");
		preStrbuf.append("</STYLE>");
		preStrbuf.append("<STYLE ID=24 NAME=\"아(신명조16)\">");
		preStrbuf.append("<CSTYLE SIZE=400>");
		preStrbuf.append("<FONTID KOR=5 ENG=5 HANJA=4 JAPAN=4 ETC=2>");
		preStrbuf.append("</CSTYLE>");
		preStrbuf.append("<PSTYLE LMARGIN=625>");
		preStrbuf.append("</STYLE>");
		preStrbuf.append("</STYLELIST>");
		preStrbuf.append("</HEAD>");
		preStrbuf.append("<BODY>");
		preStrbuf.append("<P></P>");
		preStrbuf.append("<P><PSTYLE LMARGIN=250 RMARGIN=188 ALIGN=LEFT>");
		preStrbuf.append("<TEXT><CHAR SIZE=325><B>"+ MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.mergeForm") +"</B></CHAR></TEXT>");
		preStrbuf.append("</P>");
		preStrbuf.append("<P><PSTYLE LMARGIN=250 RMARGIN=188 ALIGN=CENTER>");
		preStrbuf.append("<TEXT><CHAR SIZE=500><B>" + MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.mopas") + "</B></CHAR></TEXT>");
		preStrbuf.append("</P>");
		preStrbuf.append("<P><PSTYLE LMARGIN=250 RMARGIN=188 ALIGN=LEFT>");
		preStrbuf.append("</P>");
		preStrbuf.append("<P><PSTYLE LMARGIN=250 RMARGIN=188 ALIGN=LEFT>");
		preStrbuf.append("<TEXT><CHAR SIZE=350 SPACE=-10>"+ MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.healthAndWelfare") +"</CHAR></TEXT>");
		preStrbuf.append("</P>");
		preStrbuf.append("<P><PSTYLE LMARGIN=250 RMARGIN=188 ALIGN=LEFT>");
		preStrbuf.append("<CTRLCODE ID=KEEPWORDSPC1>");
		preStrbuf.append("</CTRLCODE>");
		preStrbuf.append("<TEXT><CHAR SIZE=350 SPACE=-10><B> </B></CHAR></TEXT>");
		preStrbuf.append("</P>");
		preStrbuf.append("<P><PSTYLE LMARGIN=250 RMARGIN=188>");
		preStrbuf
				.append("<TEXT><CHAR SIZE=350 SPACE=-10><U>" + MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.noticeRecog")  + "</U></CHAR></TEXT>");
		preStrbuf.append("</P>");
		// preStrbuf.append("<P><PSTYLE LMARGIN=250 RMARGIN=188>");
		// preStrbuf.append("<TEXT><CHAR SIZE=350 SPACE=-10>      1. 귀부 행정관리-179(2002. 1. 12.)와 관련입니다.</CHAR></TEXT>");
		// preStrbuf.append("</P>");
		// preStrbuf.append("<P><PSTYLE LMARGIN=250 RMARGIN=188>");
		// preStrbuf.append("<TEXT><CHAR SIZE=350 SPACE=-10>      2. 귀부의 소관 법령인 「장애인복지법시행령개정령(안)」중 별지 서식의 승인신청에 대하여 붙임과 같이 알립니다.</CHAR></TEXT>");
		// preStrbuf.append("</P>");
		// preStrbuf.append("<P><PSTYLE LMARGIN=250 RMARGIN=188>");
		// preStrbuf.append("<TEXT><CHAR SIZE=350 SPACE=-10>         </CHAR></TEXT>");
		// preStrbuf.append("</P>");
		// preStrbuf.append("<P><PSTYLE LMARGIN=250 RMARGIN=188 ALIGN=LEFT>");
		// preStrbuf.append("<TEXT><CHAR SIZE=350 SPACE=-18>붙임  승인서식 33부.  끝.</CHAR></TEXT>");
		// preStrbuf.append("</P>";
		preStrbuf.append("<P><PSTYLE LMARGIN=250 RMARGIN=188 ALIGN=LEFT>");
		preStrbuf.append("</P>");
		preStrbuf.append("<P><PSTYLE LMARGIN=250 RMARGIN=188 ALIGN=LEFT>");
		preStrbuf.append("</P>");

		return preStrbuf.toString();
	}

	public static String getAfterHML() {
		StringBuffer afterStrbuf = new StringBuffer();

		afterStrbuf.append("<P><PSTYLE LMARGIN=250 RMARGIN=188 ALIGN=LEFT>");
		afterStrbuf.append("</P>");
		afterStrbuf.append("<P><PSTYLE LMARGIN=250 RMARGIN=188 ALIGN=LEFT>");
		afterStrbuf.append("</P>");
		afterStrbuf.append("<P STYLEID=16><PSTYLE LMARGIN=250 RMARGIN=188 ALIGN=CENTER>");
		afterStrbuf
				.append("<TEXT><CHAR SIZE=500 SPACE=-10><FONTID KOR=0 ENG=5 HANJA=0 JAPAN=0 ETC=0 SPECIAL=0><B>" + MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.mopasMinister") +"</B></FONTID></CHAR></TEXT>");
		afterStrbuf.append("</P>");
		afterStrbuf.append("<P STYLEID=16><PSTYLE LMARGIN=250 RMARGIN=188>");
		afterStrbuf.append("</P>");
		afterStrbuf.append("<P><CTRLCODE ID=BOX>");
		afterStrbuf.append("<BOX TYPE=TABLE MAXCOL=1>");
		afterStrbuf.append("<MARGIN>");
		afterStrbuf.append("<TR>");
		afterStrbuf
				.append("<CELL HPOSX=0 HPOSY=0 HWIDTH=12091 HHEIGHT=120 LLINE=0 RLINE=0 TLINE=0 BLINE=0 SHADE=100 COLOR=WHITE>");
		afterStrbuf.append("<P><PSTYLE LSPACE=190 ALIGN=LEFT>");
		afterStrbuf.append("</P>");
		afterStrbuf.append("</CELL>");
		afterStrbuf.append("<CAPTION>");
		afterStrbuf.append("<P></P>");
		afterStrbuf.append("</CAPTION>");
		afterStrbuf.append("</CTRLCODE>");
		afterStrbuf.append("</P>");
		afterStrbuf.append("<P><PSTYLE LSPACE=130>");
		afterStrbuf.append("</P>");
		afterStrbuf.append("<P><PSTYLE ALIGN=LEFT>");
		afterStrbuf
				.append("<TEXT><CHAR SIZE=300 SPACE=-4>" + MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.servant") + "</CHAR><CHAR SIZE=300 SPACE=-4><FONTID KOR=9 ENG=9 HANJA=1 JAPAN=1 SPECIAL=1> </FONTID></CHAR><CHAR SIZE=300 SPACE=8><FONTID KOR=9 ENG=9 HANJA=1 JAPAN=1 SPECIAL=1>허남식</FONTID></CHAR><CHAR SIZE=300 SPACE=-4><FONTID KOR=9 ENG=9 HANJA=1 JAPAN=1 SPECIAL=1> </FONTID></CHAR><CHAR SIZE=300 SPACE=-4> " + MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.deputy") +  "</CHAR><CHAR SIZE=300 SPACE=-4><FONTID KOR=1 ENG=1>김광주  </FONTID></CHAR><CHAR SIZE=300 SPACE=-4>" + MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.efficiencySectionChief") + "</CHAR><CHAR SIZE=300 SPACE=-4><FONTID KOR=1 ENG=1> </FONTID></CHAR><CHAR SIZE=300 SPACE=-4><FONTID KOR=2 ENG=3 HANJA=2 JAPAN=2 SPECIAL=3>"+ MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.makeDecision") + "</FONTID></CHAR><CHAR SIZE=300 SPACE=-4><FONTID KOR=1 ENG=1> </FONTID></CHAR><CHAR SIZE=300 SPACE=-4><FONTID KOR=6 ENG=6 HANJA=2 JAPAN=2 SPECIAL=2>" + MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.pressPresident") + "</FONTID></CHAR></TEXT>");
		afterStrbuf.append("</P>");
		afterStrbuf.append("<P><PSTYLE ALIGN=LEFT>");
		afterStrbuf
				.append("<TEXT><CHAR SIZE=300 SPACE=12>"+ MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.cooperate") +"</CHAR><CHAR SIZE=300 SPACE=4> </CHAR><CHAR SIZE=375 SPACE=4> </CHAR></TEXT>");
		afterStrbuf.append("</P>");
		afterStrbuf.append("<P><PSTYLE ALIGN=LEFT>");
		afterStrbuf
				.append("<TEXT><CHAR SIZE=300 SPACE=-6>"+ MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.time") +"</CHAR><CHAR SIZE=300 SPACE=-2>"+ MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.raw") +" </CHAR><CHAR SIZE=300 SPACE=-6>"+ MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.administrationEfficiency") +" ( </CHAR><CHAR SIZE=300 SPACE=2>2001. 11. 20. )   </CHAR><CHAR SIZE=300 SPACE=-6> </CHAR><CHAR SIZE=300 SPACE=-4>" + MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.welfareAdministration") +"( 2001. 11. 22. )</CHAR></TEXT>");
		afterStrbuf.append("</P>");
		afterStrbuf.append("<P><PSTYLE ALIGN=LEFT>");
		afterStrbuf.append("<TEXT><CHAR SPACE=12> </CHAR></TEXT>");
		afterStrbuf.append("</P>");
		afterStrbuf.append("<P><PSTYLE ALIGN=LEFT>");
		afterStrbuf
				.append("<TEXT><CHAR SIZE=300 SPACE=-6>" + MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.sejongno")  + " / </CHAR><CHAR SIZE=300 SPACE=2>www.mogaha.go.kr </CHAR></TEXT>");
		afterStrbuf.append("</P>");
		afterStrbuf.append("<P><PSTYLE ALIGN=LEFT>");
		afterStrbuf
				.append("<TEXT><CHAR SIZE=300 SPACE=-14>"+ MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.tel") + "(02)3703-4684    </CHAR><CHAR SIZE=300 SPACE=-6>"+MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.forward")+" (0</CHAR><CHAR SIZE=300 SPACE=-14>2)3703-5532     </CHAR><CHAR SIZE=300 SPACE=-2>/</CHAR><CHAR SIZE=300 SPACE=-10> hernam59@mogaha.go.kr </CHAR><CHAR SIZE=300 SPACE=-18> /" + MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.open") + "</CHAR></TEXT>");
		afterStrbuf.append("</P>");
		afterStrbuf.append("<P><PSTYLE ALIGN=LEFT>");
		afterStrbuf.append("</P>");
		afterStrbuf.append("</BODY>");

		return afterStrbuf.toString();
	}
}
